​
Select Service
ves-io-schema-protocol_policer-API-Get
Published April 5, 2023 | Last modified October 13, 2026
Examples of getting protocol_policer
Usecase:
Get protocol-policer-1
Request using vesctl:
vesctl configuration get protocol_policer protocol-policer-1 --namespace system
vesctl yaml response:
deletedReferredObjects: []disabledReferredObjects: []metadata: annotations: {} labels: {} name: protocol-policer-1 namespace: systemreferringObjects: []resourceVersion: "2671"spec: protocolPolicer: - policer: - kind: policer name: policer-1 namespace: system tenant: acmecorp protocol: icmp: type: - ALL_ICMP_MSGstatus: []systemMetadata: creationTimestamp: "2026-09-28T04:26:38.865398Z" creatorClass: examplesvc creatorId: examplesvc finalizers: [] labels: {} tenant: acmecorp uid: 1bb2a7ba-b2fc-4114-b30a-b1ad0a12b76dRequest using curl:
curl -X 'GET' -H 'X-Volterra-Useragent: v1/pgm=_var_folders_q2_3kp8z3zs0x5_m7pk1bgb0_ph0000gp_T_go-build3348201650_b001_apidocs.test/host=MTY6VVHQPH/svc=S:examplesvc/site=mytestce01' 'https://acmecorp.console.ves.volterra.io/api/config/namespaces/system/protocol_policers/protocol-policer-1?response_format=0'curl response:
HTTP/1.1 200 OKContent-Length: 1204Content-Type: application/jsonDate: Mon, 28 Sep 2026 04:26:38 GMTVary: Accept-Encoding
{ "create_form": null, "replace_form": null, "resource_version": "2671", "metadata": { "name": "protocol-policer-1", "namespace": "system", "labels": { }, "annotations": { }, "description": "", "disable": false }, "system_metadata": { "uid": "1bb2a7ba-b2fc-4114-b30a-b1ad0a12b76d", "creation_timestamp": "2026-09-28T04:26:38.865398Z", "deletion_timestamp": null, "modification_timestamp": null, "initializers": null, "finalizers": [ ], "tenant": "acmecorp", "creator_class": "examplesvc", "creator_id": "examplesvc", "object_index": 0, "owner_view": null, "labels": { } }, "spec": { "protocol_policer": [ { "protocol": { "icmp": { "type": [ "ALL_ICMP_MSG" ] } }, "policer": [ { "kind": "policer", "uid": "", "tenant": "acmecorp", "namespace": "system", "name": "policer-1" } ] } ] }, "status": [ ], "referring_objects": [ ], "deleted_referred_objects": [ ], "disabled_referred_objects": [ ]}